ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceAccountService

-     public interface VoiceAccountService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkVoiceAccountIsActive(VoiceAccount oldAccount)`
    `java.util.List<VoiceAccount>` | `getVoiceAccounts(int deviceId)` Получение списка аккаунтов, к которым привязано определенное устройство.
    `int` | `voiceAccountDelete(int accountId)` Удаление аккаунта по его коду в БД.
    `VoiceAccount` | `voiceAccountGet(int accountId)` Получение одного конкретного аккаунта по его коду в БД.
    `java.util.List<VoiceAccount>` | `voiceAccountList(int contractId, Period period)` Получение списка аккаунта с фильтрацией по договору.
    `void` | `voiceAccountListDelete(java.util.List<java.lang.Integer> ids)`
    `VoiceAccount` | `voiceAccountObjectTree(int contractId, int contractObjectId)` Получение дерева аккаунтов на договоре
    `VoiceAccount` | `voiceAccountTree(int contractId)` Получение дерева аккаунтов на договоре
    `int` | `voiceAccountTypeDelete(int accountTypeId)` Удаление типа аккаунта по его коду в БД.
    `VoiceAccountType` | `voiceAccountTypeGet(int accountTypeId)` Получение одного конкретного типа аккаунта по его коду в БД.
    `java.util.List<VoiceAccountType>` | `voiceAccountTypeList()` Получение списка типов аккаунта
    `int` | `voiceAccountTypeUpdate(VoiceAccountType accountType)` Добавление/изменение типа аккаунта.
    `int` | `voiceAccountUpdate(VoiceAccount account)` Добавление/изменение аккаунта.
    `Result<VoiceAccount>` | `voiceSearchAccount(java.lang.String login, long number, int typeId, java.lang.String title, Period period, Page page)` Поиск акканута

- - ### Method Detail

    - #### voiceAccountTree

          VoiceAccount voiceAccountTree(int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Получение дерева аккаунтов на договоре
      Parameters:
        `contractId` - код договора
      Returns:
        дерево аккаунтов
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountObjectTree

          VoiceAccount voiceAccountObjectTree(int contractId,
                                              int contractObjectId)
                                       throws ru.bitel.bgbilling.common.BGException

      Получение дерева аккаунтов на договоре
      Parameters:
        `contractId` - код договора
        `contractObjectId` - код объекта
      Returns:
        дерево аккаунтов
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountList

          java.util.List<VoiceAccount> voiceAccountList(int contractId,
                                                        Period period)
                                                 throws ru.bitel.bgbilling.common.BGException

      Получение списка аккаунта с фильтрацией по договору.
      Parameters:
        `contractId` - код договора
      Returns:
        список аккаунтов договора
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountGet

          VoiceAccount voiceAccountGet(int accountId)
                                throws ru.bitel.bgbilling.common.BGException

      Получение одного конкретного аккаунта по его коду в БД.
      Parameters:
        `accountId` - код аккаунта
      Returns:
        аккаунт
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountUpdate

          int voiceAccountUpdate(VoiceAccount account)
                          throws ru.bitel.bgbilling.common.BGException

      Добавление/изменение аккаунта. Если код аккаунта > 0, то произойдет обновление его полей, в противном случае - добавление нового аккаунта
      Parameters:
        `account` - аккаунт
      Returns:
        код добавленного/измененного аккаунта
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountDelete

          int voiceAccountDelete(int accountId)
                          throws ru.bitel.bgbilling.common.BGException

      Удаление аккаунта по его коду в БД.
      Parameters:
        `accountId` - код аккаунта
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getVoiceAccounts

          java.util.List<VoiceAccount> getVoiceAccounts(int deviceId)
                                                 throws ru.bitel.bgbilling.common.BGException

      Получение списка аккаунтов, к которым привязано определенное устройство.
      Parameters:
        `deviceId` - код устройства, по которому нужно отфильтровать список аккаунтов.
      Returns:
        список аккаунтов.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountTypeList

          java.util.List<VoiceAccountType> voiceAccountTypeList()
                                                         throws ru.bitel.bgbilling.common.BGException

      Получение списка типов аккаунта
      Returns:
        список типов аккаунта
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountTypeGet

          VoiceAccountType voiceAccountTypeGet(int accountTypeId)
                                        throws ru.bitel.bgbilling.common.BGException

      Получение одного конкретного типа аккаунта по его коду в БД.
      Parameters:
        `accountTypeId` - код аккаунта
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountTypeUpdate

          int voiceAccountTypeUpdate(VoiceAccountType accountType)
                              throws ru.bitel.bgbilling.common.BGException

      Добавление/изменение типа аккаунта. Если код типа аккаунта > 0, то будут обновлены все поля уже существующего типа аккаунта, в противном случае - добавление нового типа аккаунта
      Parameters:
        `accountType` - тип аккаунта
      Returns:
        код добавленного/измененного типа аккаунта
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountTypeDelete

          int voiceAccountTypeDelete(int accountTypeId)
                              throws ru.bitel.bgbilling.common.BGException

      Удаление типа аккаунта по его коду в БД.
      Parameters:
        `accountTypeId` - код типа аккаунта
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceSearchAccount

          Result<VoiceAccount> voiceSearchAccount(java.lang.String login,
                                                  long number,
                                                  int typeId,
                                                  java.lang.String title,
                                                  Period period,
                                                  Page page)
                                           throws ru.bitel.bgbilling.common.BGException

      Поиск акканута
      Parameters:
        `text` -
        `number` -
        `id` -
        `text2` -
        `b` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkVoiceAccountIsActive

          void checkVoiceAccountIsActive(VoiceAccount oldAccount)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAccountListDelete

          void voiceAccountListDelete(java.util.List<java.lang.Integer> ids)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`